#
# Conditional build:
%bcond_without	static_libs	# static library

Summary:	Free Lossless Audio Codec
Summary(pl.UTF-8):	Free Lossless Audio Codec - Wolnodostępny bezstratny kodek audio
Name:		flac
Version:	1.4.3
Release:	1
License:	BSD (libFLAC/libFLAC++), GPL v2+ (programs and plugins)
Group:		Libraries
Source0:	https://downloads.xiph.org/releases/flac/%{name}-%{version}.tar.xz
# Source0-md5:	7cab20b46e0bc859234bf5ba7da81625
URL:		https://xiph.org/flac/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.11
BuildRequires:	doxygen
# for AM_ICONV
BuildRequires:	gettext-tools
BuildRequires:	libogg-devel >= 2:1.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:2
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
# flac 1.4.2 dropped xmms plugin; for now we build plugin in xmms-input-flac.spec from flac 1.4.1 sources.
# Uncomment this Obsoletes in case xmms-input-flac.spec doesn't build any longer:
#Obsoletes:	xmms-input-flac < 1.4.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

%description -l pl.UTF-8
FLAC jest bezstratnym kodekiem audio z otwartymi źródłami, rozwijanym
przez Josha Coalsona.

%package devel
Summary:	FLAC - development files
Summary(pl.UTF-8):	FLAC - pliki nagłówkowe
License:	BSD
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libogg-devel >= 2:1.0

%description devel
The package contains the development header files for FLAC libraries.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe bibliotek FLAC.

%package static
Summary:	FLAC - static libraries
Summary(pl.UTF-8):	FLAC - biblioteki statyczne
License:	BSD
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
The package contains FLAC static libraries.

%description static -l pl.UTF-8
Ten pakiet zawiera biblioteki statyczne FLAC.

%package c++
Summary:	FLAC++ - C++ API for FLAC codec
Summary(pl.UTF-8):	FLAC++ - API C++ do kodeka FLAC
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description c++
FLAC++ - C++ API for FLAC codec.

%description c++ -l pl.UTF-8
FLAC++ - API C++ do kodeka FLAC.

%package c++-devel
Summary:	Header files for FLAC++ library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki FLAC++
Group:		Development/Libraries
Requires:	%{name}-c++ = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Requires:	libstdc++-devel

%description c++-devel
Header files for FLAC++ library.

%description c++-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki FLAC++.

%package c++-static
Summary:	Static FLAC++ library
Summary(pl.UTF-8):	Statyczna biblioteka FLAC++
Group:		Development/Libraries
Requires:	%{name}-c++-devel = %{version}-%{release}

%description c++-static
Static FLAC++ library.

%description c++-static -l pl.UTF-8
Statyczna biblioteka FLAC++.

%prep
%setup -q

%{__rm} m4/ogg.m4

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# packaged as %doc in -devel
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post   c++ -p /sbin/ldconfig
%postun c++ -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGELOG.md COPYING.Xiph README.md
%attr(755,root,root) %{_bindir}/flac
%attr(755,root,root) %{_bindir}/metaflac
%attr(755,root,root) %{_libdir}/libFLAC.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libFLAC.so.12
%{_mandir}/man1/flac.1*
%{_mandir}/man1/metaflac.1*

%files devel
%defattr(644,root,root,755)
%doc doc/api/*.{html,png} doc/images/logo*.{gif,svg}
%attr(755,root,root) %{_libdir}/libFLAC.so
%{_libdir}/libFLAC.la
%{_includedir}/FLAC
%{_pkgconfigdir}/flac.pc
%{_aclocaldir}/libFLAC.m4

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libFLAC.a
%endif

%files c++
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libFLAC++.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libFLAC++.so.10

%files c++-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libFLAC++.so
%{_libdir}/libFLAC++.la
%{_includedir}/FLAC++
%{_pkgconfigdir}/flac++.pc
%{_aclocaldir}/libFLAC++.m4

%if %{with static_libs}
%files c++-static
%defattr(644,root,root,755)
%{_libdir}/libFLAC++.a
%endif
%changelog
* Sat Jun 24 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/flac.git;a=log;h=master

* Fri Jun 23 2023 Jan Palus <atler@pld-linux.org> 2048beb
- up to 1.4.3

* Mon Mar 27 2023 Jakub Bogusz <qboosh@pld-linux.org> 0142c34
- don't obsolete xmms-input-flac for now; release 2

* Mon Mar 27 2023 Jakub Bogusz <qboosh@pld-linux.org> 0a44003
- package CHANGELOG.md

* Sun Oct 23 2022 Jan Palus <atler@pld-linux.org> b0fb0a3
- up to 1.4.2

* Fri Sep 23 2022 Jan Palus <atler@pld-linux.org> 07f2eb0
- up to 1.4.1

* Sun Sep 11 2022 Jan Palus <atler@pld-linux.org> 61385d8
- up to 1.4.0 (new sonames)

* Tue Feb 22 2022 Jan Palus <atler@pld-linux.org> 42d45dc
- up to 1.3.4 (fixes CVE-2020-0499 CVE-2021-0561)

* Mon Aug 05 2019 Jakub Bogusz <qboosh@pld-linux.org> f754255
- updated to 1.3.3

* Fri Jan 20 2017 Jakub Bogusz <qboosh@pld-linux.org> fc1d515
- updated to 1.3.2
- removed obsolete opt,x32 patches
- added sse2 bcond

* Sat Nov 28 2015 Jakub Bogusz <qboosh@pld-linux.org> 0dffde7
- one more fix in x32 patch: despite 32-bit architecture, assume CPU as x86_64; fixes asm optimized code
- release 6

* Sun Oct 18 2015 Jakub Bogusz <qboosh@pld-linux.org> 36519e3
- release 5 (C++ rebuild)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 70f8a95
- x32 rebuild
- release 4 (by relup.sh)

* Thu Dec 25 2014 Jan Rękorajski <baggins@pld-linux.org> 85c00d1
- fix build on x32 arch

* Thu Dec 25 2014 Jan Rękorajski <baggins@pld-linux.org> 649e3bf
- updated gettext BR

* Sat Nov 29 2014 Jakub Bogusz <qboosh@pld-linux.org> 3d7e59e
- really apply opt patch; release 3

* Sat Nov 29 2014 Jakub Bogusz <qboosh@pld-linux.org> 061b946
- added opt patch (removed unwanted CFLAGS manipulation, incl. "-gdwarf4" to "dwarf4" substitution)
- release 2

* Fri Nov 28 2014 Jakub Bogusz <qboosh@pld-linux.org> aa2c443
- updated to 1.3.1 (fixes CVE-2014-9028, CVE-2014-8962)

* Thu Sep 26 2013 Elan Ruusamäe <glen@delfi.ee> 3ee523f
- move html docs to -devel, make install re-entrant

* Thu Jun 06 2013 Jakub Bogusz <qboosh@pld-linux.org> e7c3645
- new URLs, updated to 1.3.0
- removed obsolete gcc44,lt,crbug-111390,deb-643377 patches
- dropped outdated without_xmms patch, use configure switch instead

* Mon Nov 12 2012 Elan Ruusamäe <glen@delfi.ee> 2f4de17
- Fix -Werror=format-security errors. rebased for current tree

